Package com.sas.services.information.metadata

# Class IndirectPermissionInfo

java.lang.Object
com.sas.services.information.metadata.IndirectPermissionInfo

All Implemented Interfaces:
  `IndirectPermissionInfoInterface`, `Serializable`, `Remote`

public class IndirectPermissionInfo extends Object implements IndirectPermissionInfoInterface, Serializable

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.sas.services.information.metadata.IndirectPermissionInfoInterface

  `IndirectPermissionInfoInterface.IndirectPermissionSource, IndirectPermissionInfoInterface.IndirectPermissionType`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IndirectPermissionInfo()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetadataInterface`
  `getIndirectObject()`
  Returns the indirect Metadata object reference when an Permission comes from an ACT, UserGroup membership, or by Inheritance.
  `String`
  `getIndirectPermissionCondition()`
  Returns the indirect permission condition value
  `List<IndirectPermissionInfoInterface>`
  `getIndirectPermissionInfo()`
  Returns one or more nested IndirectPermissionInfo instances that might describe an Inheritance path or levels of UserGroup membership.
  `IndirectPermissionInfoInterface.IndirectPermissionSource`
  `getIndirectPermissionSource()`
  Returns the Permission source (e.g. the ACT for a set permission coming from a UserGroup membership)
  `IndirectPermissionInfoInterface.IndirectPermissionType`
  `getIndirectPermissionType()`
  Returns an indirect Permission type (UserGroups/Roles at the same level OR multiple applied ACTs can have conflicting Grant/Deny settings.
  `void`
  `setIndirectObject(MetadataInterface indirectObject)`
  `void`
  `setIndirectPermissionCondition(String indirectPermissionCondition)`
  `void`
  `setIndirectPermissionInfo(List<IndirectPermissionInfoInterface> indirectPermInfoList)`
  `void`
  `setIndirectPermissionSource(IndirectPermissionInfoInterface.IndirectPermissionSource indirectPermSource)`
  `void`
  `setIndirectPermissionType(IndirectPermissionInfoInterface.IndirectPermissionType indirectPermType)`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IndirectPermissionInfo

    public IndirectPermissionInfo()

- ## Method Details

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getIndirectObject

    public MetadataInterface getIndirectObject()
    Description copied from interface: `IndirectPermissionInfoInterface`
    Returns the indirect Metadata object reference when an Permission comes from an ACT, UserGroup membership, or by Inheritance.
    Specified by:
      `getIndirectObject` in interface `IndirectPermissionInfoInterface`
    Returns:
      indirect object

  - ### getIndirectPermissionType

    public IndirectPermissionInfoInterface.IndirectPermissionType getIndirectPermissionType()
    Description copied from interface: `IndirectPermissionInfoInterface`
    Returns an indirect Permission type (UserGroups/Roles at the same level OR multiple applied ACTs can have conflicting Grant/Deny settings. Deny always "wins" but information about the conflict may still be useful.)
    Specified by:
      `getIndirectPermissionType` in interface `IndirectPermissionInfoInterface`
    Returns:
      Permission type

  - ### getIndirectPermissionSource

    public IndirectPermissionInfoInterface.IndirectPermissionSource getIndirectPermissionSource()
    Description copied from interface: `IndirectPermissionInfoInterface`
    Returns the Permission source (e.g. the ACT for a set permission coming from a UserGroup membership)
    Specified by:
      `getIndirectPermissionSource` in interface `IndirectPermissionInfoInterface`
    Returns:
      Permission type

  - ### getIndirectPermissionCondition

    public String getIndirectPermissionCondition()
    Description copied from interface: `IndirectPermissionInfoInterface`
    Returns the indirect permission condition value
    Specified by:
      `getIndirectPermissionCondition` in interface `IndirectPermissionInfoInterface`
    Returns:
      indirect permission condition value

  - ### getIndirectPermissionInfo

    public List<IndirectPermissionInfoInterface> getIndirectPermissionInfo()
    Description copied from interface: `IndirectPermissionInfoInterface`
    Returns one or more nested IndirectPermissionInfo instances that might describe an Inheritance path or levels of UserGroup membership.
    Specified by:
      `getIndirectPermissionInfo` in interface `IndirectPermissionInfoInterface`
    Returns:
      indirect Permission info

  - ### setIndirectObject

    public void setIndirectObject(MetadataInterface indirectObject)

  - ### setIndirectPermissionType

    public void setIndirectPermissionType(IndirectPermissionInfoInterface.IndirectPermissionType indirectPermType)

  - ### setIndirectPermissionSource

    public void setIndirectPermissionSource(IndirectPermissionInfoInterface.IndirectPermissionSource indirectPermSource)

  - ### setIndirectPermissionCondition

    public void setIndirectPermissionCondition(String indirectPermissionCondition)

  - ### setIndirectPermissionInfo

    public void setIndirectPermissionInfo(List<IndirectPermissionInfoInterface> indirectPermInfoList)